Last Comment Bug 805474 - chatbar title styling isn't compatible with high-contrast themes
: chatbar title styling isn't compatible with high-contrast themes
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 19
Assigned To: :Gavin Sharp [email: gavin@gavinsharp.com]
:
: Dão Gottwald [:dao]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 09:39 PDT by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2012-10-30 11:57 PDT (History)
3 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
+
fixed
fixed


Attachments
crop tab titles, hard code title color (3.17 KB, patch)
2012-10-29 15:40 PDT, :Gavin Sharp [email: gavin@gavinsharp.com]
jaws: review+
gavin.sharp: approval‑mozilla‑aurora+
gavin.sharp: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-25 09:39:00 PDT
As far as I can tell, the chat window title bars use a hardcoded light background-color, but a system text color (-moz-dialogtext). This can cause problems when the system text color is a light color, rather than a dark one.

winstripe's browser.css has:

3440 .chat-titlebar {
3441   background-color: #c4cfde;
3442   background-image: linear-gradient(rgba(255,255,255,.5), rgba(255,255,255,0));

and

3433 .chat-title {
3435   color: -moz-dialogtext;
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-29 15:40:42 PDT
Created attachment 676365 [details] [diff] [review]
crop tab titles, hard code title color
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-29 23:33:53 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/96fd3b458899
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-29 23:38:23 PDT
https://hg.mozilla.org/releases/mozilla-beta/rev/16266c478527
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-10-30 08:23:00 PDT
https://hg.mozilla.org/mozilla-central/rev/96fd3b458899
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-10-30 11:57:52 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/3780b3390340

Note You need to log in before you can comment on or make changes to this bug.